/**
 * 接口列表文件
 * auth代表接口是否需要token
 * name:Request内做判断,url,auth,method,cacheType: local,session,isNprogress
 */
export default {
	login:{
		getPhoneNumber:{
			url:'api/user/getPhoneNumber',
			auth:false,
			method:'POST',
			isNprogress:true
		},
		mobilelogin:{
			url:'api/user/mobilelogin',
			auth:false,
			method:'POST',
			isNprogress:true
		},
		// register:{
		// 	url:'api/user/register',
		// 	auth:false,
		// 	method:'POST',
		// 	isNprogress:true
		// },
		// resetpwd:{
		// 	url:'api/user/resetpwd',
		// 	auth:false,
		// 	method:'POST',
		// 	isNprogress:true
		// },
		logout:{
			url:'api/user/resetpwd',
			auth:false,
			method:'POST',
			isNprogress:true
		},
		sms:{
			url:'api/sms/send',
			auth:false,
			method:'POST',
			isNprogress:true
		}
	},

	user:{
		userInfo:{
			url:'api/user/info',
			auth:false,
			method:'POST',
			isNprogress:false,
		},
		getopenid:{
			url:'api/user/getopenid',
			auth:false,
			method:'POST',
			isNprogress:false,
		},
	},
	goods:{
		list:{
			url:'api/user_goods/list',
			auth:false,
			method:'POST',
			isNprogress:false,
		},
		catelist:{
			url:'api/user_goods/catelist',
			auth:false,
			method:'POST',
			isNprogress:false
		},
		energy:{
			url:'api/index/energy',
			auth:false,
			method:'POST',
			isNprogress:false
		},
		banner:{
			url:'api/index/banner',
			auth:false,
			method:'POST',
			isNprogress:false
		},
		info:{
			url:'api/user_goods/info',
			auth:false,
			method:'POST',
			isNprogress:true
		},
		commentList:{
			url:'api/user_goods/commentList',
			auth:false,
			method:'POST',
			isNprogress:true
		},
		shop:{
			url:'api/shop/shopInfo',
			auth:false,
			method:'POST',
			isNprogress:true
		},
		getInfoText:{
			url:'api/config/getInfoText',
			auth:false,
			method:'POST',
			isNprogress:false
		},
		getPromise:{
			url:'api/config/getPromise',
			auth:false,
			method:'POST',
			isNprogress:false
		},
		shopComments:{
			url:'api/shop_comment/list',
			auth:false,
			method:'POST',
			isNprogress:false
		},
		shopCoupons:{
			url:'api/coupon/userlist',
			auth:false,
			method:'POST',
			isNprogress:false
		},
	},
	order:{
		add:{
			url:'api/order/add',
			auth:false,
			method:'POST',
			isNprogress:false
		},
		list:{
			url:'api/order/orderList',
			auth:false,
			method:'POST',
			isNprogress:false
		},
		pay:{
			url:'api/order/pay',
			auth:false,
			method:'POST',
			isNprogress:true
		},
	},
	favorite:{
		add:{
			url:'api/user_favorite_shop/add',
			auth:false,
			method:'POST',
			isNprogress:true
		},
		cancel:{
			url:'api/user_favorite_shop/cancel',
			auth:false,
			method:'POST',
			isNprogress:true
		},
		list:{
			url:'api/user_favorite_shop/list',
			auth:false,
			method:'POST',
			isNprogress:false
		},
	},
	addr:{
		getDefault:{
			url:'api/user_address/getDefault',
			auth:false,
			method:'POST',
			isNprogress:false,
		},
		save:{
			url:'api/user_address/save',
			auth:false,
			method:'POST',
			isNprogress:false,
		},
		list:{
			url:'api/user_address/list',
			auth:false,
			method:'POST',
			isNprogress:false,
		},
		del:{
			url:'api/user_address/del',
			auth:false,
			method:'POST',
			isNprogress:false,
		},
		info:{
			url:'api/user_address/info',
			auth:false,
			method:'POST',
			isNprogress:false,
		},
	},
	home:{
		company:{
			url:'api/index/company',
			auth:false,
			method:'POST',
			isNprogress:false,
		},
	},
	
};
