import Request from '@/common/request';
import Tools from '@/common/tools'
const userInfo = {
    namespaced:true,
    state:{
        userInfo:{},   
		addrInfo:{},  //默认地址，有可能默认
    },
    mutations:{
        USER_INFO(state,info){
            state.userInfo = info;
        },
		ADDR_INFO(state,info){
			state.addrInfo = info;
		},
    },
	actions: {
		// getopenid(){
		// 	return new Promise(async (resolve,reject)=>{
		// 		let [lErr,lRes] = await uni.login({
		// 			provider: 'weixin'
		// 		});
		// 		console.log('openid loginRes===',lRes)
		// 		if (lRes.hasOwnProperty('code')) {
		// 			// let codeRes=await Request('user.getUserOpenid',{ code: lRes.code});
		// 			// console.log('openid codeRes===',codeRes.data)
		// 			// resolve(codeRes.data.openid)
		// 		} else {
		// 			Tools.msg('登录失败，请重启应用');
		// 			reject(false);
		// 		}       
		// 	})
		// },
		getAddrInfo({ dispatch,commit }) {
		   return new Promise((resolve, reject) => {
			   let token = uni.getStorageSync('token')
			   if(!token){
				   resolve(false);
				   return;
			   }
			   Request('addr.getDefault').then(res => {
				   let myData= res.data || {}
				   commit('ADDR_INFO', myData);
				   resolve(myData)	
			   }).catch(e => {
				   reject(e)
			   })
		   })
		},
	    getinfo({ dispatch,commit }) {
		   /**onLaunch即调用，查看token是否过期 */
		   let token = uni.getStorageSync('token')
		   if(!token){
			   return false;
		   }
		   return new Promise((resolve, reject) => {
			   Request('user.userInfo').then(res => {
				   // console.log('usercenter.getUserInfo--',res);
				   let myData= res.data || {}
				   commit('USER_INFO', myData);
				   resolve(myData)	
			   }).catch(e => {
				   reject(e)
			   })
		   })
	    },
	},
}
export default userInfo;
